
/*----------------------------------------------------------------------------*/
/* General                                                                    */
/*----------------------------------------------------------------------------*/

:focus {
  outline: none;
}

/*----------------------------------------------------------------------------*/
/* Calculadora                                                                */
/*----------------------------------------------------------------------------*/

/* Configuracion general */
.wrapper {
  display: flex;
  align-items: normal;
  justify-content: center;
  overflow: auto;
}

.calculadora {
  transition-delay: 0s;
	transition-duration: 0.4s;
	transition-property: all;
	transition-timing-function: ease;
  padding-left: 15px;
	padding-right: 15px;
  width: 970px;
}

/* Seleccion de tipo de envio */
.seleccion {
  padding: 20px 100px 20px 100px;
  font-size: 15px;
}
.seleccion-titulo {
  font-size: 20px;
  padding-bottom: 10px;
  padding-top: 10px;
}
.custom-control label {
  display: block;
  line-height: 1.8;
}

/* Wizard de la calculadora */
.wizard {
  padding: 20px 50px 20px 50px;
  display: flex;
}
.wizard .steps {
  width: 26.05%;
  margin-right: 68px;
}
.wizard .content {
  width: 73.95%;
}

/* Wizard de la calculadora - Steps */
.steps ul {
  border-left: 3px solid rgba(13, 13, 13, 0.4);
}
.steps li {
  margin-bottom: 16px;
  display: flex;
  align-items: center;
  height: 31px;
  position: relative;
}
.steps li a {
  color: rgb(0, 0, 0);
  font-size: 15px;
  padding-left: 18px;
}
.steps li a:before {
  content: "";
  width: 3px;
  height: 31px;
  position: absolute;
  left: -3px;
  top: 0;
}
.steps li.current a {
  color: #c32126;
}
.steps li.current a:before {
  background: #c32126;
}
.content h4 {
  display: none;
}
.step-content {
  display: flex;
}

/* Wizard de la calculadora - Estructuras de los Step Contents */
.form-group label {
  display: block;
  margin-bottom: 0px;
}
.form-wrapper .row.form-measures {
  flex-wrap: inherit;
  text-align: center;
}
.form-wrapper .row.form-measures .form-group {
  margin-bottom: 0px;
}
.row.form-measures .form-group label {
  font-size: 0.9rem;
}
.step-content .form-wrapper {
  width: 50%;
  margin-right: 20px;
}
.step-content .form-wrapper:last-child {
  margin-right: 0px;
}

/* Wizard de la calculadora - Elementos de los Step Contents - Inputs */
.element-input {
  background-color: rgba(253, 253, 253, 255);
  border-bottom-color: rgb(229, 229, 229);
	border-bottom-left-radius: 0px;
	border-bottom-right-radius: 0px;
	border-bottom-style: solid;
	border-bottom-width: 1px;
	border-left-color: rgb(229, 229, 229);
	border-left-style: solid;
	border-left-width: 1px;
	border-right-color: rgb(229, 229, 229);
	border-right-style: solid;
	border-right-width: 1px;
	border-top-color: rgb(229, 229, 229);
	border-top-left-radius: 0px;
	border-top-right-radius: 0px;
	border-top-style: solid;
	border-top-width: 1px;
  box-sizing: border-box;
  font-family: Rubik-Regular !important;
  font-size: 14px;
  height: 34px;
  width: 100%;
}
.element-input::-webkit-input-placeholder {
  color: rgb(153, 153, 153);
}
.element-input::-moz-placeholder {
  color: rgb(153, 153, 153);
}
.element-input:-ms-input-placeholder {
  color: rgb(153, 153, 153);
}
.element-input:-moz-placeholder {
  color: rgb(153, 153, 153);
}
input.element-input:focus {
  border-bottom: 1px solid #c32126;
}
.input-small {
  padding: 0px;
  position: relative;
}
.input-large {
  padding: 0px 13px 0px 13px;
  position: relative;
}
.input-text {
  text-align: left;
}
.input-number {
  text-align: right;
}

/* Wizard de la calculadora - Elementos de los Step Contents - Selects */
.element-select {
	align-items: center;
  background-color: rgba(253, 253, 253, 255);
  border-bottom-color: rgb(229, 229, 229);
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 0px;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-left-color: rgb(229, 229, 229);
  border-left-style: solid;
  border-left-width: 1px;
  border-right-color: rgb(229, 229, 229);
  border-right-style: solid;
  border-right-width: 1px;
  border-top-color: rgb(229, 229, 229);
  border-top-left-radius: 0px;
  border-top-right-radius: 0px;
  border-top-style: solid;
  border-top-width: 1px;
  box-sizing: border-box;
  font-family: Rubik-Regular !important;
  font-size: 15px;
  height: 34px;
  width: 100%;
}
.element-select::-webkit-input-placeholder {
  color: rgb(153, 153, 153);
}
.element-select::-moz-placeholder {
  color: rgb(153, 153, 153);
}
.element-select:-ms-input-placeholder {
  color: rgb(153, 153, 153);
}
.element-select:-moz-placeholder {
  color: rgb(153, 153, 153);
}
.element-select:focus {
  border: 1px solid #c32126;
}
select.element-select option {
  color: rgb(153, 153, 153);
}
select.element-select option[value=""][disabled] {
  display: none;
}
.select-small {
  padding: 0px;
  position: relative;
}
.select-large {
  padding: 0px 13px 0px 13px;
  position: relative;
}

/* Wizard de la calculadora - Elementos de los Step Contents - Tablero */
.board-info {
  background: rgb(28, 38, 51);
  color: rgb(255, 255, 255);
  font-size: 12px;
  padding: 20px;
}
.board-info .board-info-item {
  margin-bottom: 8px;
}
.board-info .board-info-item:last-child {
  margin-bottom: 0px;
}
.board-info-item table {
  border-collapse: collapse;
  table-layout: fixed;
}
.board-info table td {
  vertical-align: top;
  padding-right: 5px;
}
.board-info table td:last-child {
  padding-right: 0px;
}
.board-info-item-title {
  color: rgb(251, 173, 45);
}
.board-info-item-normal {
  color: rgb(255, 255, 255);
}
.board-info table td span.board-info-item-normal {
  word-break: break-word;
}
.board-info-item-error {
  color: rgb(255, 0, 0);
}

/* Wizard de la calculadora - Elementos de los Step Contents - Tablero de facturacion */
.board-bill {
  border: 2px solid rgb(0, 0, 0);
  color: rgb(0, 0, 0);
  font-size: 15px;
  font-style: normal;
  font-weight: normal;
  padding: 20px;
}
.board-bill .board-bill-title {
  padding-bottom: 10px;
  text-transform: uppercase;
}
.board-bill-item {
  margin-bottom: 8px;
}
.board-bill-item:last-child {
  margin-bottom: 0px;
}
.board-bill-item table {
  border-collapse: collapse;
  table-layout: fixed;
}
.board-bill table td {
  vertical-align: top;
  padding-right: 5px;
}
.board-bill table td:last-child {
  padding-right: 0px;
}
.board-bill table td:not(:first-child) .custom-control {
  padding-left: 0px;
}
.board-bill-item label {
  margin-bottom: 0px;
}
.board-bill-item-title {
  color: rgb(0, 0, 0);
}
.board-bill-item-price {
  color: #c32126;
  font-weight: bold;
}
.board-bill-item-msgerror {
  color: rgb(255, 0, 0);
  text-transform: uppercase;
}

/* Wizard de la calculadora -  Elementos de los Step Contents - Botones */
.element-button {
  align-items: center;
  color: rgb(255, 255, 255);
  cursor: pointer;
  background: linear-gradient(297.26deg, #CA2927 7.16%, #EA4D2C 96.7%);
  bottom: 56px;
  border: none;
  border-radius: 40px;
  box-shadow: 2px 4px 0px #C32126;
  display: flex;
  font-weight: 600;
  font-size: 14px;
  height: 42px;
  justify-content: center;
  margin: auto;
  margin-top: 20px;
  padding: 0;
  /*text-transform: uppercase;*/
  width: 164px;
}
.element-button i {
    margin-left: 10px;
}
.element-button:hover {
  background: #faac2c;
}

/* Wizard de la calculadora -  Elementos de los Step Contents - Radiobuttons */
    /* This is the default state */
.custom-radio .custom-control-label::before {
  background-color: rgb(255, 255, 255);
}
    /* This is the checked state */
.custom-radio .custom-control-input:checked~.custom-control-label::before,
.custom-radio .custom-control-input:checked~.custom-control-label::after {
  background-color: #c32126;
  border-radius: 50%;
}
    /* active state i.e. displayed while the mouse is being pressed down */
.custom-radio .custom-control-input:active ~ .custom-control-label::before {
  color: rgb(255, 255, 255);
  background-color: #c32126;
}
    /* the shadow; displayed while the element is in focus */
.custom-radio .custom-control-input:focus ~ .custom-control-label::before {
  box-shadow: 0 0 0 1px rgb(255, 255, 255), 0 0 0 0.2rem rgba(231, 81, 36, 0.25);
}

/* Wizard de la calculadora - Tipos de mensaje mostrados */
.wizard-info-msg {
  font-weight: normal;
}
.wizard-error-msg {
  color: red;
  font-weight: normal;
}
.wizard-warning-msg {
  color: #c32126;
  font-weight: normal;
}
.form-group .wizard-info-msg {
  display: flex;
  justify-content: center;
}

/* Para dispositivos moviles */
@media (max-width: 767px) {
  .wizard {
    padding: 50px 20px;
    flex-direction: column;
  }
  .wizard .content {
    width: 100%;
  }
  .wizard .steps {
    width: 100%;
    margin-right: 0;
    margin-bottom: 20px;
  }
  .step-content {
    flex-direction: column;
  }
  .form-measures .element-input {
    padding-right: 13px;
  }
  .step-content .form-wrapper {
    width: 100%;
    margin-right: 0;
    margin-bottom: 20px;
  }
  .step-content .form-wrapper {
    width: 100%;
  }
  .seleccion {
    padding: 10px 10px 10px 10px;
  }
}

/*----------------------------------------------------------------------------*/
/* Modal                                                                      */
/*----------------------------------------------------------------------------*/

.custom-modal {
  top: 50%;
  left: 50%;
  background-color: rgb(229, 229, 229);
  /*border: 2px solid white;*/
  border-radius: 10px;
  font-family: "Rubik-Regular";
  max-width: 80%;
  position: fixed;
  transform: translate(-50%, -50%) scale(0);
  transition: 200ms ease-in-out;
  width: 500px;
  z-index: 10;
}

.custom-modal.active {
  transform: translate(-50%, -50%) scale(1);
}

/* Estilos comunes */
.custom-modal-header {
  align-items: center;
  display: flex;
  justify-content: space-between;
  padding: 10px 15px;
}
.custom-modal-title {
  font-size: 18px;
  font-weight: bold;
  text-align: center;
}
.custom-modal-button-close {
  color: #000000;
  background: none;
  border: none;
  font-size: 1.50rem;
  font-weight: bold;
}

.custom-modal-body {
  padding: 10px 15px;
}
/*.custom-modal-body .form-group {
  margin-top: 30px;
  margin-bottom: 30px;
}*/
.custom-modal-body .form-group label {
  color: #000000;
  font-size: 15px;
  font-weight: bold;
  font-style: normal;
}
.custom-modal-body .form-group input {
  color: #000000;
  background-color: #ffffff;
  font-size: 15px;
  font-weight: normal;
  font-style: normal;
  padding: 0 13px 0 13px;
  text-overflow: ellipsis;
}
.custom-modal-body .form-group input::placeholder { /* Placeholders de formulario de cliente */
  color: rgb(153, 153, 153);
  font-weight: normal;
}
.custom-modal-body .form-group input:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: rgb(153, 153, 153);
  font-weight: normal;
}
.custom-modal-body .form-group input::-ms-input-placeholder { /* Microsoft Edge */
  color: rgb(153, 153, 153);
  font-weight: normal;
}
.custom-modal-body .form-group input::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: rgb(153, 153, 153);
  font-weight: normal;
}
.custom-modal-body .form-group input::-moz-placeholder { /* Firefox 19+ */
  color: rgb(153, 153, 153);
  font-weight: normal;
}
.custom-modal-body .form-group input:-moz-placeholder { /* Firefox 18- */
  color: rgb(153, 153, 153);
  font-weight: normal;
}
.form-footer .custom-modal-message { /* Leyenda del formulario de cliente */
  display: flex;
  font-weight: normal;
  justify-content: center;
  margin-top: 10px;
  margin-bottom: 10px;
}

/* Esto es para mostrar el fondo agrisado cuando se abre el modal - para PC */
#overlay {
  position: fixed;
  opacity: 0;
  transition: 200ms ease-in-out;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  pointer-events: none;
}

#overlay.active {
  opacity: 1;
  pointer-events: all;
}

/* Estilo del modal para dispositivo movil */
@media (max-width: 767px) {
  .custom-modal {
    max-width: 100%;
    padding: 10px 5px 10px 5px;
  }
}
